List Holdouts for a project
1 min
GET
https://api.optimizely.com/flags/v1//projects/{project_id}/holdouts
project_idintegerThe project identifier
archivedboolean<p>Filter the Holdouts by archived status. Set to <code>true</code> to show only archived holdouts, <code>false</code> to show only active holdouts, or omit to show both.</p>
statusarray
querystring<p>Search for Holdouts by name, description, or key. Performs a case-insensitive substring match on the holdout name, description, and key fields.</p>
sortarray<p>Sort the Holdouts by one or more attributes. Use format <code>attribute:direction</code> where direction is either <code>asc</code> or <code>desc</code>. Multiple sort criteria are applied from left to right.</p>
pageinteger<int64>Page number for pagination
per_pageinteger<int64>The max number of items to include per page or results.
page_tokenstring<p>Pagination page token. Implements prev, next, last, first</p>
page_windowinteger<p>Number of previous and next page links to supply for the request (defaults to 1).</p>
200<p>Successful retrieval of a list of holdouts.</p>
<p>The response includes RESTful JSON (<a href="https://restfuljson.org/" target="_blank">https://restfuljson.org/</a>) styled links. If a
link is not present in the response, it indicates a user is not authorized to access
the related resource.</p>
400Malformed requests and invalid parameter names and types
401Invalid credentials
403Do not have permission to perform the operation
404Not found. No content
curl --request GET \
--url https://api.optimizely.com/flags/v1//projects/{project_id}/holdouts \
--header 'accept: application/json'